Update employee bank account information
Updates employee bank account details. All fields are optional - only provided fields will be updated.
What can be updated:
- IBAN (International Bank Account Number)
- BIC (Bank Identifier Code)
- Bank name
- Account owner name
Note: This endpoint is only available for employee accounts. Bank data is typically used for payroll processing.
POST
/account/employee/bank-dataAuthorization
AuthorizationOAuth2 access token · headerrequiredScopes:
api:writeor
AuthorizationBearer token (JWT) · headerrequiredRequest body
requiredapplication/jsonbankAccountBICobjectBank BIC code
bankAccountIBANobjectBank IBAN
bankAccountNameobjectBank name
bankAccountOwnerobjectAccount owner name
Responses
200
successbooleanrequiredOperation success flag
401
Unauthorized - Invalid or missing authentication token
403
Forbidden - Insufficient API scopes or permissions
404
Employee not found